<?php

if (isset($_POST)) {
    // .. znamená přechod o jeden adresář zpět v adresářové struktuře
    include "../php/connection.php";

    if (!$MYSQL_UPLOAD || $ANONYMOUS_MODE)
        ukoncitSpojeni("Přístup zamítnut: Anonymní mód nebo zakázaný upload do DB.", $connection);
    else {

        if ($connection) {
            $data = json_decode(file_get_contents('php://input'), true);
            //print_r($data);

            $duplikat = false;
            $nazev = $data['nazev'];
            $lat = (float) $data['lat'];
            $long = (float) $data['long'];
            $poznamka = $data['poznamka'];
            $id = (int) $data['poradi'];
            $nazevTopologie = $data['nazevTopologie'];
            $nazevOld = $data['staryNazev'];
            $odstranit = $data['odstranit'];

            // Hledáme, jestli se stanice v DB náhodou nenachází
            $query = "SELECT * FROM stanice WHERE Nazev = \"$nazevOld\"";
            $result = mysqli_query($connection, $query);
            if (!$result)
                ukoncitSpojeni("Chyba pri praci s DB - chyba 1", $connection);


            // Pokud ano, dojde jen k aktualizaci záznamu
            while ($row = mysqli_fetch_assoc($result)) {
                if ($row["Nazev"] == $nazevOld && $row["Topologie"] == $nazevTopologie) {
                    $duplikat = true;
                    $id = $row["ID"];
                    if ($odstranit) {
                        $query2 = "DELETE FROM stanice WHERE ID = \"$id\"";
                        echo "Mazu ";
                    } else {
                        $query2 = "UPDATE stanice SET Nazev='$nazev',Latitude='$lat',Longitude='$long',Poznamka='$poznamka',Poradi='$id' WHERE ID = \"$id\"";
                    }
                    $result2 = mysqli_query($connection, $query2);
                    if (!$result2)
                        ukoncitSpojeni("Chyba pri praci s DB - chyba 2", $connection);
                }
            }


            // Pokud ne, vložíme nový záznam
            if (!$duplikat) {
                $query3 = "INSERT INTO stanice(Nazev,Latitude,Longitude,Poznamka,Poradi,Topologie) VALUES('$nazev','$lat','$long','$poznamka','$id','$nazevTopologie')";
                $result3 = mysqli_query($connection, $query3);
                //mysqli_error()
                if (!$result3)
                    ukoncitSpojeni("Chyba pri praci s DB - chyba 3", $connection);
            }


            ukoncitSpojeni("Uspesne dokoncen zapis dat do DB.", $connection);

        } else
            ukoncitSpojeni("Chyba pri pripojovani do DB.", $connection);
    }
}

function ukoncitSpojeni($hlaska, $connection)
{
    echo json_encode($hlaska);
    mysqli_close($connection);
    die;
}

?>